/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
/*
 * Support and FAQ: visit <a href="https://www.microchip.com/support/">Microchip Support</a>
 */
#include <asf.h>
#include <util/delay.h>


void Move_interrupts_App(void)
{
	uint8_t temp;

	/* GET MCUCR*/
	temp = MCUCR;

	/* Enable change of Interrupt Vectors */
	MCUCR = temp & ~(1<<IVCE);

	/* Move interrupts to Boot Flash section */
	MCUCR &= ~(1<<IVSEL);
}



int main (void)
{
	//asm volatile("clr r1");
	//Move_interrupts_App();

	/* Insert system clock initialization code here (sysclk_init()). */
	sysclk_init();

	board_init();

	/* Insert application code here, after the board has been initialized. */
	while(1)
	{
		ioport_set_value(LED0, 1);
		_delay_us(500000);

		ioport_set_value(LED0, 0);
		_delay_us(500000);
	}
}

/* End of File */
